Sessions
Create a session
Title required. Optional first poll stays draft until open.
Returns { id, k, code }. Keep k secret.
POST
/
api
/
sessions
Create a session
curl --request POST \
--url https://www.askplane.com/api/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"prompt": "<string>",
"options": [
"<string>"
],
"correctIndex": 123,
"tz": "<string>",
"k": "<string>"
}
'import requests
url = "https://www.askplane.com/api/sessions"
payload = {
"title": "<string>",
"prompt": "<string>",
"options": ["<string>"],
"correctIndex": 123,
"tz": "<string>",
"k": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
prompt: '<string>',
options: ['<string>'],
correctIndex: 123,
tz: '<string>',
k: '<string>'
})
};
fetch('https://www.askplane.com/api/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"k": "<string>",
"code": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthcookieAuth
Same HMAC as cookie ws_host. Mint via POST /api/me/token.
Body
application/json
If set, creates a draft poll.
2–8 labels when the kind needs options.
Available options:
multiple_choice, word_cloud, quiz, rating, open_text, ranking Quiz key index into options.
IANA TZ. Default UTC. Session auto-ends at that EOD.
⌘I
Create a session
